#ifndef GAME_H
#define GAME_H

#include "client/input/Keys.h"
#include "client/input/MouseButtons.h"
#include "client/rendering/Shader.h"
#include "client/math/MatrixStack.h"
#include "client/math/Camera.h"
#include "client/rendering/Mesh.h"
#include "client/rendering/Texture.h"
#include "client/rendering/FontRenderer.h"

class Game {
public:
    Game();

    void tick(const Keys& keys, const MouseButtons& mButtons, Camera& cam);
    void renderWorld(float lag, MatrixStack& stack, Shader& sh);
    void renderTextOverlay(float lag, MatrixStack& stack, Shader& sh, FontRenderer& fr);

private:
    void addCube(float x, float y, float z, bool bottom, bool top, bool left, bool right, bool front, bool back);

    float lengthAngle;
    float widthAngle;
    Vector pos;
    Mesh m;
    Texture texture;
};

#endif